Package org.h2.engine

# Enum Class SessionLocal.State

java.lang.Object
java.lang.Enum<SessionLocal.State>
org.h2.engine.SessionLocal.State

All Implemented Interfaces:
  `Serializable`, `Comparable<SessionLocal.State>`, `Constable`

Enclosing class:
  `SessionLocal`

public static enum SessionLocal.State extends Enum<SessionLocal.State>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLOCKED`
`CLOSED`
`INIT`
`RUNNING`
`SLEEP`
`SUSPENDED`
`THROTTLED`

## Method Summary

Modifier and Type
Method
Description
`static SessionLocal.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SessionLocal.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INIT

public static final SessionLocal.State INIT

### RUNNING

public static final SessionLocal.State RUNNING

### BLOCKED

public static final SessionLocal.State BLOCKED

### SLEEP

public static final SessionLocal.State SLEEP

### THROTTLED

public static final SessionLocal.State THROTTLED

### SUSPENDED

public static final SessionLocal.State SUSPENDED

### CLOSED

public static final SessionLocal.State CLOSED

## Method Details

### values

public static SessionLocal.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SessionLocal.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null